<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFFACD"
    android:gravity="center"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fillViewport="true">

    <GridLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/AllGridLayout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:layout_marginBottom="8dp"
        android:columnCount="5"
        android:orientation="horizontal"
        android:rowCount="19">

        <CheckBox
            android:id="@+id/alldrivingen"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="All_Driving_En"
            android:textSize="22dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="0"
            android:layout_column="2"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="        " />

        <CheckBox
            android:id="@+id/dualfreq"
            android:layout_row="0"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Dual_Freq"
            android:textSize="22dp" />

        <TextView
            android:layout_row="1"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="2"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="FreqA_factor(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/freqafactor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="2"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="FreqB_factor(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/freqbfactor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_row="3"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="4"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Pannel_BitFreq(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/bitfreq"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="4"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="Duration(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/duration"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_row="5"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="6"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="FreqA(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/freqa"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="6"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="FreqB(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/freqb"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_row="7"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="8"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Dump_Shift(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/dumpshift"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="8"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="SubFrame_DrvNum(D)"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <EditText
            android:id="@+id/subframedrvnum"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:background="@drawable/bg_frame_search"
            android:singleLine="true"
            android:text="00"
            android:textSize="22dp"
            android:textAlignment="center"/>

        <TextView
            android:layout_row="9"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="10"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Drv_Output_R"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/drvoutputr"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/drv_output_r"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="10"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="DAC_Gain"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/dacgain"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/dac_gain"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_row="11"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="12"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="PGA_C"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/pgac"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/pga_c"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="12"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="PGA_R"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/pgar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/pga_r"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_row="13"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="14"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Rx_Vcmi"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/rxvcmi"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/rx_vcmi"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="14"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="PGA_Gain"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/pgagainspin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/pga_gain"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_row="15"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="16"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="boost_time"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/boosttime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/boost_time"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_row="16"
            android:layout_column="3"
            android:layout_marginRight="5dp"
            android:text="Voltage"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/voltage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/voltage"
            android:background="@color/frame_search"/>

        <TextView
            android:layout_row="17"
            android:layout_column="0"
            android:layout_columnSpan="5"
            android:layout_gravity="fill"
            android:layout_marginRight="1dp"
            android:text="" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_row="18"
            android:layout_column="0"
            android:layout_gravity="right"
            android:layout_marginRight="5dp"
            android:text="Alter_Count"
            android:textColor="#000000"
            android:textSize="22dp"/>

        <Spinner
            android:id="@+id/altercount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="fill"
            android:entries="@array/alter_count"
            android:background="@color/frame_search"/>

        <CheckBox
            android:id="@+id/extoscen"
            android:layout_row="18"
            android:layout_column="3"
            android:layout_columnSpan="2"
            android:layout_gravity="right"
            android:text="Extoscen"
            android:textSize="22dp" />

    </GridLayout>
    </ScrollView>

</LinearLayout>